# Uses of Class
org.apache.solr.common.cloud.PerReplicaStates

Packages that use PerReplicaStates
Package
Description
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.

## Uses of PerReplicaStates in org.apache.solr.common.cloud

Methods in org.apache.solr.common.cloud that return PerReplicaStates
Modifier and Type
Method
Description
`static PerReplicaStates`
PerReplicaStates.`empty(String collectionName)`
`PerReplicaStates`
DocCollection.`getPerReplicaStates()`
Methods in org.apache.solr.common.cloud with parameters of type PerReplicaStates
Modifier and Type
Method
Description
`static Set<String>`
PerReplicaStates.`findModifiedReplicas(PerReplicaStates old, PerReplicaStates fresh)`
Get the changed replicas
`final DocCollection`
DocCollection.`setPerReplicaStates(PerReplicaStates newPerReplicaStates)`
Update our state with a state of a `PerReplicaStates` which could override states of `Replica`.